Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class Contacts_ChangeGroup_PopUp
    Inherits BaseObject

    Private _Change_IsOutlookSync As Boolean
    Private _IsOutlookSync As Boolean
    Private _Change_IsExchangeSync As Boolean
    Private _IsExchangeSync As Boolean
    Private _ReOrderFirstNameLastName As Boolean
    Private _Change_FullNameOrder As Boolean
    Private _FullNameOrder As eFullNameOrder
    Private _Change_Title As Boolean
    Private _Title As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub


    Public Property ChangeIsOutlookSync() As Boolean
        Get
            Return _Change_IsOutlookSync
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("ChangeIsOutlookSync", _Change_IsOutlookSync, value)
        End Set
    End Property
    Public Property IsOutlookSync() As Boolean
        Get
            Return _IsOutlookSync
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("IsOutlookSync", _IsOutlookSync, value)
        End Set
    End Property
    Public Property ChangeIsExchangeSync() As Boolean
        Get
            Return _Change_IsExchangeSync
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("ChangeIsExchangeSync", _Change_IsExchangeSync, value)
        End Set
    End Property
    Public Property IsExchangeSync() As Boolean
        Get
            Return _IsExchangeSync
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("IsExchangeSync", _IsExchangeSync, value)
        End Set
    End Property
    Public Property ReOrderFirstNameLastName As Boolean
        Get
            Return _ReOrderFirstNameLastName
        End Get
        Set(value As Boolean)
            SetPropertyValue("ReOrderFirstNameLastName", _ReOrderFirstNameLastName, value)
        End Set
    End Property
    Public Property Change_FullNameOrder As Boolean
        Get
            Return _Change_FullNameOrder
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_FullNameOrder", _Change_FullNameOrder, value)
        End Set
    End Property
    Public Property FullNameOrder As eFullNameOrder
        Get
            Return _FullNameOrder
        End Get
        Set(value As eFullNameOrder)
            SetPropertyValue("FullNameOrder", _FullNameOrder, value)
        End Set
    End Property
    Public Property Change_Title As Boolean
        Get
            Return _Change_Title
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Title", _Change_Title, value)
        End Set
    End Property
    Public Property Title As String
        Get
            Return _Title
        End Get
        Set(value As String)
            SetPropertyValue("Title", _Title, value)
        End Set
    End Property
End Class
